%define debug_package %{nil}

Name:       ocsinventory-agent
Version:    2.4.2
Release:    %mkrel 2
Summary:    Unified client for OCS-Inventory
License:    GPLv2+
Packager:   Agent Smith  <ruidobranco@yahoo.com.br>
Group:      System/Servers
URL:        http://www.ocsinventory-ng.org/
Source0:    Ocsinventory-Unix-Agent-%{version}.tar.xz

AutoReqProv: no
BuildRequires:   perl-devel
Requires:   net-tools
Requires:   pciutils
Requires:   nmap
Requires:   monitor-edid
Requires:   dmidecode >= 2.6
Requires:   perl-Encode-Locale
Requires:   perl-HTTP-Date
Requires:   perl-HTTP-Request-AsCGI
Requires:   perl-NetSNMP
Requires:   perl-AnyEvent-HTTP
Requires:   perl-Parse-EDID
Requires:   perl-LWP-Online
Requires:   perl-LWP-Protocol-https
Requires:   perl-IO-Socket-SSL
Requires:   perl-Net-IP
Requires:   perl-XML-Simple
Requires:   perl-Net-SSLeay
Requires:   perl-Digest-MD5
Requires:   perl-libwww-perl
Requires:   perl-Try-Tiny
Suggests:   perl-Net-CUPS
Suggests:   perl-Proc-Daemon
#Suggests:   ipmitool

%description
Linux agent for ocs-inventory. Dialog between client computers and management
server is based on actual standards, HTTP protocol and XML data formatting.

%prep
%setup -q -n Ocsinventory-Unix-Agent-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make


%install
rm -f run-postinst
%makeinstall_std


install -d %{buildroot}%{_sbindir}

mv %{buildroot}%{_bindir}/* %{buildroot}%{_sbindir}/

chmod -R 755 %{buildroot}%{_sbindir}/*

install -d -m 755 %{buildroot}%{_sysconfdir}/ocsinventory
cat > %{buildroot}%{_sysconfdir}/ocsinventory/ocsinventory-agent.cfg<<EOF
basevardir = %{_localstatedir}/lib/ocsinventory-agent
logger  = File
logfile = %{_localstatedir}/log/ocsinventory-agent/ocsinventory-agent.log
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/ocsinventory-agent<<EOF
#!/bin/sh
%{_sbindir}/ocsinventory-agent --lazy > /dev/null 2>&1
EOF
chmod +x %{buildroot}%{_sysconfdir}/cron.daily/ocsinventory-agent

install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/ocsinventory-agent<<EOF
/var/log/ocsinventory-agent/*.log {
    missingok
}
EOF

install -d %{buildroot}%{_localstatedir}/lib/ocsinventory-agent
install -d %{buildroot}%{_localstatedir}/log/ocsinventory-agent

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/Ocsinventory-Unix-Agent-%{version}

%files
%doc AUTHORS Changes LICENSE README.md THANKS
%{_sbindir}/%{name}
%{_sbindir}/ipdiscover
%{_mandir}/man1/%{name}.*
%{_mandir}/man3/Ocsinventory*
%{perl_vendorlib}/Ocsinventory
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/ocsinventory
%{_localstatedir}/log/%{name}
%{_localstatedir}/lib/%{name}

%changelog

* Thu Jul 4 2019 Agent Smith <ruidobranco@yahoo.com.br> 2.4.2-2
- Added dependency perl-Try-Tiny.
 
* Wed Nov 14 2018 Agent Smith <ruidobranco@yahoo.com.br> 2.4.2-1
- Adapted from a spec from Rosa Linux, updated to latest sources.


